Bug 17452 - passwd using pam using libpwdb cannot change NIS passwords
Summary: passwd using pam using libpwdb cannot change NIS passwords
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pwdb
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-12 20:34 UTC by redhat-bugzilla
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 16:36:17 UTC


Attachments (Terms of Use)

Description redhat-bugzilla 2000-09-12 20:34:34 UTC
The default installation of /usr/bin/passwd uses PAM, which is
configured to use pwdb which is, by default, configured to talk
to files and to nis. /usr/bin/passwd can change file passwords,
but cannot change NIS passwords.

My guess is that pwdb doesn't know how to contact yppasswdd.
Nevertheless, it seems like it should know how to do this, since
it encapsulates other NIS functionality.

On my system, yppasswd works, but -- of course -- it manages
to store plain-old crypt()'d passwords on the NIS server. And 
/usr/bin/passwd talks to the NIS server, but just prints 
`permission denied':
	mark@oud ~$ passwd
	Changing password for mark
	(current) UNIX password:
	New UNIX password:
	Retype new UNIX password:
	passwd: Permission denied

Comment 1 Cristian Gafton 2000-10-17 23:38:40 UTC
assigned to nalin

Comment 2 Cristian Gafton 2000-10-18 16:17:08 UTC
assigned to nalin

Comment 3 Bill Nottingham 2006-08-07 19:12:00 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 4 Bill Nottingham 2006-10-18 16:36:17 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.